// Wersja iteracyjna 
#include <stdio.h>
#include <stdlib.h>

double fib( int n ) {
	if( n < 2 )
		return n;
	else {
		double p2 = 0;
		double p1 = 1;
		double p0;
		for( int i= 2; i <= n; i++ ) {
			p0 = p2+p1;
			p2 = p1;
			p1 = p0;
		}
		return p0;
	}
}

int main( int argc, char **argv ) {
	int n = argc > 1 ? atoi(argv[1]) : 7;

	printf( "fib(%d)=%g\n", n, fib(n) );

	return 0;
}
